<?php
require_once "model.php";
class FinderModel extends Model{

	private $db;

	function  __construct(){
		$this -> db = $this -> db_set();
	}

	public function search($keyword){
		$keyword = $this -> sql_sanitizer($keyword);
		$sql = "SELECT id,title,author,comment
					FROM   books 
					WHERE  title  LIKE '$keyword%'
					OR     author LIKE '$keyword%'";
    //echo $sql;
    $res = $this -> db -> query($sql);
    //var_dump($res);
    while($temp = $res -> fetchRow(DB_FETCHMODE_ASSOC)){
			$var[] = $temp;
			$cnt +=1;
		}
		if(count($cnt) == 0){
			return false;
		}else{
			return $var;
		}
	}

	
	private function sql_sanitizer($form_data){
		if (is_array($form_data)){
			//配列の場合のSQLの安全性確保
			foreach($form_data as $key => $element){
				if(is_string($element)){
					$form_data[$key] = mysql_real_escape_string($element);
				}else{
					$form_data[$key] = intval($element);
				}	
			}
		}else{
			//変数の場合のSQLの安全性確保
			if(is_string($form_data)){
				 $form_data = mysql_real_escape_string($form_data);
			}else{
				 $form_data = intval($form_data);
			}
		}
		return $form_data;
	}
}
?>
