﻿<?php
require_once "ini.php";
require_once "view.php";
class RegistView extends View{
	private $smarty;
	private $forms;
	public function __construct(){
		$form = $this -> getQuickForm("main");
		$form -> addElement("text","title","");
		$form -> addElement("text","author","");
		$form -> addElement("textarea","comment","");
		$form -> addElement("submit","submit","登録");
		//検証ルールの追加
		$form -> setJsWarnings("以下の項目を確認してください","");
		$form -> addRule("title","タイトルを入力してください","required","","client");
		$form -> addRule("author","著者を入力してください","required","","client");
		$this -> forms = $form; 
		$this -> smarty = $this -> getSmarty($form);
	}

	public function form_validate(){
		return $this -> forms -> validate();
	}

	public function display($msg=""){
		if(!empty($msg)){
			$this -> smarty -> assign("msg",$msg);	
		}	
		$this -> smarty -> display("regist.tpl");
	}
}
?>
