<?php
require_once "view.php";
class LoginView extends View{
	private $smarty;
	private $forms;
	public function __construct(){
		$form = $this -> getQuickForm("login");
		//ログインフォームの要素を生成する	
		$form -> addElement("text","username","アカウント名");
		$form -> addElement("password","password","パスワード");
		$form -> addElement("submit","submit","ログイン");

		//フォームの値はクライアント側で検証する
		$form -> setRequiredNote("<font color=red size=2>※</font>");
		$form -> setJsWarnings("以下の値が不正です","");
		$form -> addRule("username","ユーザ名は入力されなければなりません","required","","client");
		$form -> addRule("password","パスワードは入力されなければなりません","required","","client");
		
		//検証メソッドに渡す為にプロパティにセット
		$this -> forms = $form;
		$this -> smarty = $this -> getSmarty($form);
	}

	public function form_validate(){
		return $this -> forms -> validate();
	}
	
	public function display(){
		$this -> smarty -> display("login.tpl");
	}
}
?>
